
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【算法小总结】最大连续子序列和最大连续子矩阵的关系与实现 / iVAN</title>

    <meta name="description" content="【算法小总结】最大连续子序列和最大连续子矩阵的关系与实现 最大连续子序列和最大连续子矩阵的关系与实现   求最长连续子序列的优化方法(非DP) //求最大连续子序列和与对应的开头元素和结束元素 实现代码: #include&lt;stdio.h&gt; #include&lt;string.h&gt; #include&lt;algorithm&gt; #include&lt;limits.h&gt; #define MAXN 100002 using namespace std; int main() { int i,j,n,a[MAXN],Max, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【算法小总结】最大连续子序列和最大连续子矩阵的关系与实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最大连续子序列和最大连续子矩阵的关系与实现</p>
<p> </p>
<p>求最长连续子序列的优化方法（非DP）<br />
//求最大连续子序列和与对应的开头元素和结束元素<br />
实现代码：</p>
<pre>#include&lt;stdio.h&gt;
#include&lt;string.h&gt;
#include&lt;algorithm&gt;
#include&lt;limits.h&gt;
#define MAXN 100002
using namespace std;
int main()
{
    int i,j,n,a[MAXN],Max,sum,max;
    int ps,pe,ts,te;//记录开头元素和结束元素 

    scanf("%d",&amp;n);
    for(i=0;i&lt;n;i++)
    scanf("%d",&amp;a[i]);

    sum=0;
    Max=INT_MIN;

    for(i=0;i&lt;n;i++)
    {
        if(sum&lt;=0)//如果序列和为负数，初始化sum与开始结束下标
        {
           sum=a[i];
           ts=i;
           te=i;
        }
        else//如果序列和为正数，继续累加，并记录新的结尾坐标
        {
           sum+=a[i];
           te=i;
        }

        if(sum&gt;Max)//一旦发现更大的连续子序列，就更新最大值和开始结束下标
        {
          Max=sum;
          ps=ts;
          pe=te;
        }
    }

    printf("%d %d %d\n",Max,a[ps],a[pe]);
    return 0;
}
</pre>
<p> </p>
<p>例子：<br />
8<br />
1 -3 -5 2 6 -1 4 9<br />
20 2 9</p>
<p> </p>
<p>类似的是，在矩阵中求最大子矩阵的方法可以转化成一维求最大连续子序列和的方法。</p>
<p>将矩阵的行或列压缩。这里我选择列压缩<br />
如：     <br />
1 -1 2<br />
4 9 15<br />
-7 1 10</p>
<p>计算每一递进行的最长连续子序列和，什么是递进行？举个例子<br />
全局变量MAX=-999999999</p>
<p>刚刚的矩阵<br />
1 -1 2<br />
4 9 15<br />
-7 1 10<br />
————————————————————————————————————<br />
第一次记算取 1 -1 2<br />
求出最长连续子序列是2，MAX=2</p>
<p>第二次取<br />
1 -1 2<br />
4 9 15<br />
这里两行的每一列元素之和：5 8 17（从这里开始就体现矩阵压缩了）<br />
求出最长连续子序列是30，MAX=30</p>
<p>第三次取<br />
1 -1 2<br />
4 9 15<br />
-7 1 10<br />
这里三行的每一列元素之和：-2 9 27<br />
求出最长连续子序列是36，MAX=36<br />
————————————————————————————————————<br />
第四次取：4 9 15<br />
求出最长连续子序列是28，MAX=36</p>
<p>第五次取<br />
4 9 15<br />
-7 1 10<br />
这里两行的每一列元素之和：-3 10 25<br />
求出最长连续子序列是35，MAX=36<br />
————————————————————————————————————<br />
第六次次取：-7 1 10<br />
求出最长连续子序列是11，MAX=36<br />
————————————————————————————————————<br />
到此为止，所有可能的子矩阵和全都计算完毕，得出最大的子矩阵元素之和为36<br />
即是<br />
-1 2<br />
9 15<br />
1 10<br />
这个子矩阵</p>
<p> </p>
<p>实现代码：</p>
<pre>#include &lt;stdio.h&gt;
#include &lt;string.h&gt;
#include &lt;limits.h&gt;
#define MAXN 10002
int a[MAXN][MAXN],temp[MAXN];
int n;
int getsum()
{
   int i,sum=0,max=0;
   for(i=0;i&lt;n;i++)
   {
      sum+=temp[i];
      if(sum&gt;max) max=sum;
      if(sum&lt;0) sum=0;
   }
   return max;
}
int main()
{
    int i,j,ans,k;
 while(scanf("%d",&amp;n)!=EOF)
    {
       memset(a,0,sizeof(a));
    for(i=0;i&lt;n;i++)
         for(j=0;j&lt;n;j++)
         scanf("%d",&amp;a[i][j]);
      ans=INT_MIN;
      for(i=0;i&lt;n;i++)//从第i行开始
      {
         memset(temp,0,sizeof(temp));
         for(j=i;j&lt;n;j++)//从 i行到 n-1行都尝试一次
         {
            for(k=0;k&lt;n;k++)//把 j至 k行的每一列都加起来，就是矩阵压缩
             temp[k]+=a[j][k]; 

             int pre=getsum();//计算压缩矩阵形成的一维数组的最长连续序列
             if(ans&lt;pre)//更新最大值
                ans=pre;
         }
      }
      printf("%d\n",ans);
 }
 return 0;
}
</pre>
<p> </p>
<p>刚刚的例子答案：<br />
3<br />
1 -1 2<br />
4 9 15<br />
-7 1 10<br />
36<br />
验证方法无误～</p>
<p>欢迎访问程序员之洞<a href="http://blog.csdn.net/acmman/" rel="external nofollow noreferrer">http://blog.csdn.net/acmman/</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-07 17:51:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【算法小总结】最大连续子序列和最大连续子矩阵的关系与实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxjd8b.html" rel="bookmark">九度题目1011：最大连续子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目1011:最大连续子序列 时间限制:1 秒 内存限制:32 兆 特殊判题:否 提交:4263 解决:2063 题目描述:     给定K个整数的序列{ N1, N2, ..., NK },其任意连续子序列可表示为{ Ni, Ni+1, ..., Nj },其中 1 &lt;= i &lt;= j &lt;= K.最大连续子序列是所有连续子序列中元素和最大的一个,例如给定序列{ -2, 11, -4, 13, -5, -2 },其最大连续子序列为{ 11, -4, 13 },最大和为20.现在增加一个要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0Pvyp.html" rel="bookmark">HDU1231最大连续子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最大连续子序列 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 16639    Accepted Submission(s): 7294 Problem Description 给定K个整数的序列{ N1, N2, ..., NK },其任意连续子序列可表示为{ Ni, Ni+1, ...,  Nj },其中 1 &lt;= i &lt;= j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1oyGz.html" rel="bookmark">算法系列（六）最长公共子序列（LCS）问题（连续子序列）的三种解法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最长公共子序列(LCS)问题有两种方式定义子序列,一种是子序列不要求不连续,一种是子序列 必须连续.上一章介绍了用两种算法解决子序列不要求连续的最终公共子序列问题,本章将介绍要求 子序列必须是连续的情况下如何用算法解决最长公共子序列问题. 仍以上一章的两个字符串 &quot;abcdea&quot;和&quot;aebcda&quot;为例,如果子序列不要求连续,其最长公共子序列为&quot;abcda&quot;,如果子序列 要求是连续,则其最长公共子序列应为&quot;bcd&quot;.在这种情况下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEq6Jb.html" rel="bookmark">算法系列（五）最长公共子序列（LCS）问题（非连续子序列）的两种解法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最长公共子序列也称作最长公共子串,英文缩写是LCS(Longest Common Subsequence).其定义 是:一个序列S,如果分别是两个或多个已知序列的子序列,且是符合此条件的子序列中最长的,则称 S为已知序列的最长公共子序列. 关于子序列的定义通常有两种方式,一种是对子序列没有连 续的要求,其子序列的定义就是原序列中删除若干元素后得到的序列.另一种是对子序列有连续的要 求,其子序列的定义是原序列中连续出现的若干个元素组成的序列.求解子序列是非连续的最长公共 子序列问题是一个十分实用的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmd2oBM.html" rel="bookmark">利用C语言来求最大连续子序列乘积的方法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述:给一个浮点数序列,取最大乘积连续子串的值,例如 -2.5,4,0,3,0.5,8,-1,则取出的最大乘积连续子串为3,0.5,8.也就是说,上述数组中,3 0.5 8这3个数的乘积3*0.5*8=12是最大的,而且是连续的. 提醒:此最大乘积连续子串与最大乘积子序列不同,请勿混淆,前者子串要求连续,后者子序列不要求连续.也就是说:最长公共子串(Longest CommonSubstring)和最长公共子序列(LongestCommon Subsequence,LCS)的区别:     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQDNVp.html" rel="bookmark">lintcode 最长上升连续子序列 II&lpar;二维最长上升连续序列&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:http://www.lintcode.com/zh-cn/problem/longest-increasing-continuous-subsequence-ii/ 最长上升连续子序列 II   给定一个整数矩阵(其中,有 n 行, m 列),请找出矩阵中的最长上升连续子序列.(最长上升连续子序列可从任意行或任意列开始,向上/下/左/右任意方向移动). 样例 给定一个矩阵 [ [1 ,2 ,3 ,4 ,5], [16,17,24,23,6], [15,18,25,22,7], [14			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWg9Kp.html" rel="bookmark">【算法小总结】Prim算法与Kruskal算法探索</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前以为自己用的生成最小生成树的方法是Prim算法,今天自己拜读了&lt;数据结构与算法分析&gt;之后才知道自己有多愚蠢,原来以前一直用的是KrusKal算法...... 今天好好说道说道这两个算法: KrusKal算法用于稀疏图,贪心策略,连续的按照最小的权值选择边. Prim算法用于稠密图,也是贪心策略,每次取离小生成树最近的点作为生成树的心点,并入生成树内生成新的小生成树,知道所有节点均被纳入生成树后结束.   这两种方法均可得到点点之间路径最短的联通图.   例如这个例子:   用Prim算法的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zw73gmz.html" rel="bookmark">&lbrack;LeetCode&rsqb; Split Array into Consecutive Subsequences 将数组分割成连续子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				You are given an integer array sorted in ascending order (may contain duplicates), you need to split them into several subsequences, where each subsequences consist of at least 3 consecutive integers. Return whether you can make such a split. Example			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRRGOp.html" rel="bookmark">【算法与数据结构】最大子序列和问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(转载请注明出处:http://blog.csdn.net/buptgshengod) 1.题目      给定一个数字序列,其中有正有负,确定最大子序列和.用穷举法最好的结果也是时间复杂度O(n²).后来看到一个聪明的方法,直接使时间复杂度变为O(n). 2.解法 (1)穷举法        把所有序列都算出来找到最大的. /* 最大序列和问题的求解,一组数列有正有负,找出其中加起来最大的连续序列. 以如下序列为例-2,11,-4,13,-5,-2 算法一:穷举法 */ public clas			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK7nWp.html" rel="bookmark" class="title">用VC&plus;&plus;设计语法编辑器</a>
					<div>
						语法编辑器是一个可以对程序设计语言进行语法编辑的文本编辑器,它对程序设计语言进行语法关键字进行加亮处理,如注释行.字符串.语法关键字.数字等,这样使得源程序更容易阅读,VB.VC++.DELPHI 等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P25mM.html" rel="bookmark" class="title">Ext2文件系统的硬盘布局</a>
					<div>
						本文主要讲述 Linux 上比较流行的 ext2 文件系统在硬盘分区上的详细布局情况.Ext2 文件系统加上日志支持的下一个版本是 ext3 文件系统,它和 ext2 文件系统在硬盘布局上是一样的,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyx3Bb.html" rel="bookmark" class="title">win8系统进不去应用商店怎么办？</a>
					<div>
						1.点击开始菜单(或直接按Windows徽标键进入);打开如图所示的win8应用商店; 2.如果无法进入应用商店时,并出现&quot;在关闭了用户账户控制的情况下,无法打开应用商店&quot;提示.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NKYAz.html" rel="bookmark" class="title">Windows 8系统电源选项添加&OpenCurlyDoubleQuote;休眠&rdquo;命令的方法</a>
					<div>
						在开始正文内容前,先简单说明下休眠的用途,以及它和睡眠之间的区别.根据官方解释,休眠.睡眠都是Windows系统中的电源节能状态,其中休眠主要是针对笔记本电脑设计,进入休眠状态的电脑会将打开的文档和程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ky65z.html" rel="bookmark" class="title">Photoshop如何制作手绘霓虹字</a>
					<div>
						手工制作霓虹字虽然繁琐一点,不过细节方法要好很多.过程:先用画笔写出想要的文字,再以文字为参考,在上面绘制一些光束,然后渲染颜色和高光,再局部增加一些发光样式即可.不同的文字可用不同的颜色. 最终效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Waqnb.html" rel="bookmark" class="title">忘记系统密码的解决办法</a>
					<div>
						登陆密码经常忘记了而不能进入系统?别急,现在就来给你带来解决的方法. 所需工具 1.U盘一个;2.Usboot;3.winrar 这个方法我亲自实验过,并且成功的绕过了XP的登陆密码.我在学校机房做过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eOdNb.html" rel="bookmark" class="title">联通、电信、移动---W-CDMA，CDMA2000，TD-SCDMA</a>
					<div>
						3G是英文3rd Generation的缩写,指第三代移动通信技术.相对第一代模拟制式手机(1G)和第二代GSM.TDMA等数字手机(2G),第三代手机一般地讲,是指将无线通信与国际互联网等多媒体通信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwBRVb.html" rel="bookmark" class="title">android 中文 api （87） &mdash;&mdash; BaseInputConnection</a>
					<div>
						前言 本章内容是android.view.inputmethod.BaseInputConnection,为输入法相关章节,版本为Android 2.3 r1,翻译来自&quot;六必治&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA766Jz.html" rel="bookmark" class="title">数组定义不能用常量值</a>
					<div>
						问题描述 数组定义不能用常量值 #include #include #include #include using namespace std; int main() { string str; co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRL4kp.html" rel="bookmark" class="title">treeview-树状结构展示采购单Treeview 第三季</a>
					<div>
						问题描述 树状结构展示采购单Treeview 第三季 在第二季中,由于tiger_zhao 的回归,使剧情发生重大改变.下面贴出最新状况,希望这一季中能解决产品号Pcode为空时候引起的问题. 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR8dYp.html" rel="bookmark" class="title">Weblogic的config&period;xml文件详解&lpar;原创&rpar;</a>
					<div>
						config.xml 域的中心配置文件是 /domains/DOMAIN_NAME/config/config.xml 文件.它用于指定域的名称以及域中每个服务器实例.群集.资源和服务的配置参数设置. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYeeOp.html" rel="bookmark" class="title">苹果：安卓碎片化太严重 iOS高度统一</a>
					<div>
						网易科技讯 6月23日消息,据科技博客AllThingsD报道,苹果公司为iOS找出了一个新的卖点,那就是iOS平台高度统一.苹果公布了一张有关iOS各个版本市场占有率的图表,图中可以看到苹果用户93 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWGm5z.html" rel="bookmark" class="title">selenium2-Selenium2、毫无头绪的测试工具，救命！</a>
					<div>
						问题描述 Selenium2.毫无头绪的测试工具,救命! 最近老大丢给我一个任务,selenium2做客户端测试 第一次接触这个,在网上找了好多资料去看,有几个疑问需要各位解答, 以一个登陆画面为例子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKEZDb.html" rel="bookmark" class="title">微软被曝 Windows 最新远程代码执行漏洞：极其糟糕！现漏洞详情已发布</a>
					<div>
						 雷锋网(公众号:雷锋网)消息,众所周知,谷歌内部有一个超级黑客团队--&quot;Project Zero&quot;,据 securityaffairs 5月8日报道,谷歌 Project Zer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xxP4b.html" rel="bookmark" class="title">js Math 对象的方法&lowbar;基础知识</a>
					<div>
						1.丢弃小数部分,保留整数部分 parseInt(5/2) 2.向上取整,有小数就整数部分加1 Math.ceil(5/2) 3,四舍五入. Math.round(5/2) 4,向下取整 Math.f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEw1vM.html" rel="bookmark" class="title">在线自动生成三层架构</a>
					<div>
						问题描述 界面不好,大家不要批评了.请登陆到http://52csharp.com本工具是本网站专用的sql小工具.1.直接打开生成项目下面sql文件夹中的sql脚本文件2.填写数据库服务器名称3.填 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/pnRoJWp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4WGlhdmNzaktzRGpSNWs2eGI2Y2NQWHlseWhVdThsbkZxTG8wa29abHdpYm5aSTl6N0NTR01QMVBxWGNTTk9WUTNyWHo3bFJoY3Fydm1BLzA=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/pnRoJWp.html" rel="bookmark" class="title">美国大数据工程师面试攻略</a>
					<div>
						原文发布时间为:2014-09-24					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEEnRp.html" rel="bookmark" class="title">js判断ie方法集锦（含正则）代码短小经典&lbrack;原创&rsqb;&lowbar;javascript技巧</a>
					<div>
						是否是Opera: [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] 是否是IE: [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] 是否是ie7: 复制代码 代码如下: &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Zlkb.html" rel="bookmark" class="title">详解jQuery插件开发方式&lowbar;javascript技巧</a>
					<div>
						jQuery插件开发  一般来说,jQuery插件的开发分为两种:一种是挂在jQuery命名空间下的全局函数,也可称为静态方法:另一种是jQuery对象级别的方法,即挂在jQuery原型下的方法,这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8yPKb.html" rel="bookmark" class="title">Sqlserver中datediff函数使用例子</a>
					<div>
						DATEDIFF() 函数返回两个日期之间的天数. 语法 DATEDIFF(datepart,startdate,enddate) startdate 和 enddate 参数是合法的日期表达式. 根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYQkab.html" rel="bookmark" class="title">android asynctask-SimpleCursorAdapter错误</a>
					<div>
						问题描述 SimpleCursorAdapter错误 在异步任务中添加SimpleCursorAdapter 时出现错误. private class LoadNewsLists extends As ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn7Omp.html" rel="bookmark" class="title">如何在ASP&period;NET  C&num;后台代码调用前台的JS&comma;&lpar;JS中有JQUERY的函数&rpar;</a>
					<div>
						问题描述 我也遇到和别人一样的问题,我也重复抄一次别人的问题的内容,请各位高手解决一下,谢谢!大家好!疑问:我想在后台程序中调用Jquery函数.根据不同条件提示用户不同的信息.为丰富弹出的样式,采用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4XJ2b.html" rel="bookmark" class="title">为何我们注册域名喜欢用虚假信息</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 09年12月份开始CNNIC开始对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq5qXp.html" rel="bookmark" class="title">Windows服务访问网络磁盘驱动的问题</a>
					<div>
						问题描述 大家好,请教一个问题,我在控制台程序里面是可以访问网络磁盘驱动的,可以对网络磁盘进行读写操作,但是我放在Windows服务里面就会出现找不到路径,大神们怎么解决啊.我在控制台程序里面网络磁盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenkLjb.html" rel="bookmark" class="title">VS2013出的错请求帮助！！</a>
					<div>
						问题描述 错误1error:此编译的源文件可以在以下位置找到:&quot;C:windowsTEMPb74af33d-5d57-4d58-8961-1cf0c0a8513d.txt&quot;C:Pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YP6ob.html" rel="bookmark" class="title">甲骨文完成收购NetSuite交易 埃里森笑纳35亿美元现金</a>
					<div>
						甲骨文掌门人埃里森 甲骨文周一宣布,该公司斥资93亿美元收购云ERP厂商NetSuite的交易已获得后者逾半数有表决权的股东支持.此交易已于周一正式完成,NetSuite成为了甲骨文的一部分. 甲骨文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEQ7YJb.html" rel="bookmark" class="title">3种php生成唯一id的方法&lowbar;php技巧</a>
					<div>
						小编在网上查了许多关于php生成唯一id方法的文章,发现有很多的方法,特整理本文与大家分享php生成唯一id的解决方法,希望大家喜欢. 1.md5(time() . mt_rand(1,1000000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myv4yvp.html" rel="bookmark" class="title">【技术贴】解决Eclipse编译java源文件之后没有生成class文件&vert;找不到class文件</a>
					<div>
						[技术贴]解决Eclipse编译java源文件之后没有生成class文件|找不到class文件   今天遇到的,非常恶心,项目下有个红叉叉,因为是公司的老项目,1.4的jdk,我把工程导入后,发现没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXWgDM.html" rel="bookmark" class="title">采用大数据和物联网需要全面测试</a>
					<div>
						如今,快速的上市时间对于成为新的应用和服务的推出来说越来越重要.简单来说,每个企业都想成为第一.因此,企业采用新的架构计划与虚拟环境,以及混合云都在规划实施中,而他们实施后,得知客户抱怨VoIP服务和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyvZ7vp.html" rel="bookmark" class="title">应对困境中小企业&OpenCurlyDoubleQuote;抱团&rdquo;过冬</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 上周日(2008年11月30日),2008中国成长型企业发展论坛潍坊论坛在潍坊富华国际会议中心多功能厅召开,论坛由中国卓越传媒集团主办,&lt;卓越管理 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
